低危 Python拒绝服务漏洞

CVE编号

CVE-2020-14422

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-06-19
漏洞描述
Python是Python软件基金会的一套开源的、面向对象的程序设计语言。该语言具有可扩展、支持模块和包、支持多种平台等特点。 Python 3.8.3及之前版本中的Lib/ipaddress.py文件的IPv4Interface和IPv6Interface存在资源管理错误漏洞,该漏洞源于程序未正确计算哈希值。远程攻击者可利用该漏洞造成拒绝服务或创建许多字典条目。

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://bugs.python.org/issue41004
参考链接
http://lists.opensuse.org/opensuse-security-announce/2020-07/msg00003.html
http://lists.opensuse.org/opensuse-security-announce/2020-07/msg00006.html
http://lists.opensuse.org/opensuse-security-announce/2020-07/msg00032.html
http://lists.opensuse.org/opensuse-security-announce/2020-07/msg00041.html
https://bugs.python.org/issue41004
https://github.com/python/cpython/pull/20956
https://lists.debian.org/debian-lts-announce/2020/07/msg00011.html
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://security.gentoo.org/glsa/202008-01
https://security.netapp.com/advisory/ntap-20200724-0004/
https://usn.ubuntu.com/4428-1/
https://www.oracle.com/security-alerts/cpujan2021.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 python python * From
(including)
3.0.0
Up to
(excluding)
3.5.10
运行在以下环境
应用 python python * From
(including)
3.6.0
Up to
(excluding)
3.6.12
运行在以下环境
应用 python python * From
(including)
3.7.0
Up to
(excluding)
3.7.9
运行在以下环境
应用 python python * From
(including)
3.8.0
Up to
(excluding)
3.8.4
运行在以下环境
系统 alibaba_cloud_linux_2.1903 python3 * Up to
(excluding)
3.6.8-18.1.al7
运行在以下环境
系统 alpine_3.10 python3 * Up to
(excluding)
3.7.7-r1
运行在以下环境
系统 alpine_3.11 python3 * Up to
(excluding)
3.8.2-r1
运行在以下环境
系统 alpine_3.12 python3 * Up to
(excluding)
3.8.4-r0
运行在以下环境
系统 alpine_3.13 python3 * Up to
(excluding)
3.8.4-r0
运行在以下环境
系统 alpine_3.14 python3 * Up to
(excluding)
3.8.4-r0
运行在以下环境
系统 alpine_3.15 python3 * Up to
(excluding)
3.8.4-r0
运行在以下环境
系统 alpine_3.16 python3 * Up to
(excluding)
3.8.4-r0
运行在以下环境
系统 alpine_3.9 python3 * Up to
(excluding)
3.6.9-r3
运行在以下环境
系统 alpine_edge python3 * Up to
(excluding)
3.8.4-r0
运行在以下环境
系统 amazon_2 python3 * Up to
(excluding)
3.7.9-1.amzn2.0.1
运行在以下环境
系统 amazon_AMI python3 * Up to
(excluding)
3.5.9-1.28.amzn1
运行在以下环境
系统 centos_7 python3 * Up to
(excluding)
3.6.8-18.el7
运行在以下环境
系统 centos_8 python3 * Up to
(excluding)
3.6.8-31.el8
运行在以下环境
系统 debian_10 python3 * Up to
(excluding)
3.7.3-2+deb10u2
运行在以下环境
系统 debian_9 python3 * Up to
(excluding)
3.5.3-1+deb9u2
运行在以下环境
系统 fedora_31 python3 * Up to
(excluding)
3.8.4-1.fc31
运行在以下环境
系统 fedora_32 python3 * Up to
(excluding)
3.5.9-9.fc32
运行在以下环境
系统 fedora_33 python3 * Up to
(excluding)
3.5.9-9.fc33
运行在以下环境
系统 fedora_34 python3 * Up to
(excluding)
3.5.9-9.fc34
运行在以下环境
系统 fedora_EPEL_7 python3 * Up to
(excluding)
3.4.10-6.el7
运行在以下环境
系统 opensuse_Leap_15.1 python3 * Up to
(excluding)
1.0.18-lp151.3.3.1
运行在以下环境
系统 opensuse_Leap_15.2 python3 * Up to
(excluding)
1.0.18-lp152.4.3.1
运行在以下环境
系统 oracle_7 python3 * Up to
(excluding)
3.6.8-18.0.1.el7
运行在以下环境
系统 oracle_8 python3 * Up to
(excluding)
3.6.8-31.0.1.el8
运行在以下环境
系统 redhat_7 python3 * Up to
(excluding)
0:3.6.8-18.el7
运行在以下环境
系统 redhat_8 python3 * Up to
(excluding)
3.6.8-31.el8
运行在以下环境
系统 suse_12_SP5 python3 * Up to
(excluding)
1.0.18-3.13.1
运行在以下环境
系统 ubuntu_14.04 python3 * Up to
(excluding)
3.4.3-1ubuntu1~14.04.7+esm7
运行在以下环境
系统 ubuntu_16.04 python3 * Up to
(excluding)
3.5.2-2ubuntu0~16.04.11
运行在以下环境
系统 ubuntu_16.04.7_lts python2.7 * Up to
(excluding)
2.7.12-1ubuntu0~16.04.12
运行在以下环境
系统 ubuntu_18.04 python3 * Up to
(excluding)
2.7.17-1~18.04ubuntu1.1
运行在以下环境
系统 ubuntu_18.04.5_lts python2.7 * Up to
(excluding)
2.7.17-1~18.04ubuntu1.1
运行在以下环境
系统 ubuntu_20.04 python3 * Up to
(excluding)
3.8.2-1ubuntu1.2
运行在以下环境
系统 unionos_20 python3 * Up to
(excluding)
3.7.3.1-2+deb10u2
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-330 使用不充分的随机数
CWE-400 未加控制的资源消耗(资源穷尽)
CWE-682 数值计算不正确
阿里云安全产品覆盖情况